# if not running interactively, don't do anything
[[ $- != *i* ]] && return

# add environment vars
. ~/.profile

# add scripts folder to path
export PATH="/home/default/scripts:$PATH"

# add secret scripts folder to path
export PATH="/home/default/syncthing/default/scripts:$PATH"

# aliases
alias v=nvim
alias ls="ls --color=auto"
alias errors="journalctl -b -p err | less"

# git
export GIT_DISCOVERY_ACROSS_FILESYSTEM=true
source /usr/share/git/completion/git-prompt.sh
source /usr/share/git/completion/git-completion.bash
PS1='[\u@\h \W$(__git_ps1 " (%s)")]\$ '

# direnv
eval "$(direnv hook bash)"

# asdf-vm
. /opt/asdf-vm/asdf.sh

proverb
